package eu.univento.commons.player.hacks;

import eu.univento.commons.helpers.Location;
import eu.univento.commons.player.DatabasePlayer;

/**
 * @author joethei
 * @version 0.1
 */
public class HackData {

    private DatabasePlayer player;
    private Location lastLocation;
    private Location realLocation;
    private boolean lastHealth;
    private long lastPlacedBlock;
    private long lastBow;
    private long lastRegen;
    private long lastAnimation;
    private long lastForcefield;
    private long lastY;
    private long highestY;
    private boolean ascending;
    private boolean descending;
    private Location lastBlockLocation;
    private double blocksMoved;
    private int fakePlayer;
    private long lastTimeFakePlayerAttack;
    private long lastFood;
    private long lastInventory;
    private long lastNotification;

    public HackData(DatabasePlayer player) {
        this.player = player;
    }

    public DatabasePlayer getPlayer() {
        return player;
    }

    public void setPlayer(DatabasePlayer player) {
        this.player = player;
    }

    public Location getLastLocation() {
        return lastLocation;
    }

    public void setLastLocation(Location lastLocation) {
        this.lastLocation = lastLocation;
    }

    public Location getRealLocation() {
        return realLocation;
    }

    public void setRealLocation(Location realLocation) {
        this.realLocation = realLocation;
    }

    public boolean isLastHealth() {
        return lastHealth;
    }

    public void setLastHealth(boolean lastHealth) {
        this.lastHealth = lastHealth;
    }

    public long getLastPlacedBlock() {
        return lastPlacedBlock;
    }

    public void setLastPlacedBlock(long lastPlacedBlock) {
        this.lastPlacedBlock = lastPlacedBlock;
    }

    public long getLastBow() {
        return lastBow;
    }

    public void setLastBow(long lastBow) {
        this.lastBow = lastBow;
    }

    public long getLastRegen() {
        return lastRegen;
    }

    public void setLastRegen(long lastRegen) {
        this.lastRegen = lastRegen;
    }

    public long getLastAnimation() {
        return lastAnimation;
    }

    public void setLastAnimation(long lastAnimation) {
        this.lastAnimation = lastAnimation;
    }

    public long getLastForcefield() {
        return lastForcefield;
    }

    public void setLastForcefield(long lastForcefield) {
        this.lastForcefield = lastForcefield;
    }

    public long getLastY() {
        return lastY;
    }

    public void setLastY(long lastY) {
        this.lastY = lastY;
    }

    public long getHighestY() {
        return highestY;
    }

    public void setHighestY(long highestY) {
        this.highestY = highestY;
    }

    public boolean isAscending() {
        return ascending;
    }

    public void setAscending(boolean ascending) {
        this.ascending = ascending;
    }

    public boolean isDescending() {
        return descending;
    }

    public void setDescending(boolean descending) {
        this.descending = descending;
    }

    public Location getLastBlockLocation() {
        return lastBlockLocation;
    }

    public void setLastBlockLocation(Location lastBlockLocation) {
        this.lastBlockLocation = lastBlockLocation;
    }

    public double getBlocksMoved() {
        return blocksMoved;
    }

    public void setBlocksMoved(double blocksMoved) {
        this.blocksMoved = blocksMoved;
    }

    public int getFakePlayer() {
        return fakePlayer;
    }

    public void setFakePlayer(int fakePlayer) {
        this.fakePlayer = fakePlayer;
    }

    public long getLastTimeFakePlayerAttack() {
        return lastTimeFakePlayerAttack;
    }

    public void setLastTimeFakePlayerAttack(long lastTimeFakePlayerAttack) {
        this.lastTimeFakePlayerAttack = lastTimeFakePlayerAttack;
    }

    public long getLastFood() {
        return lastFood;
    }

    public void setLastFood(long lastFood) {
        this.lastFood = lastFood;
    }

    public long getLastInventory() {
        return lastInventory;
    }

    public void setLastInventory(long lastInventory) {
        this.lastInventory = lastInventory;
    }

    public long getLastNotification() {
        return lastNotification;
    }

    public void setLastNotification(long lastNotification) {
        this.lastNotification = lastNotification;
    }
}