/*
 * Copyright (c) 2017 univento.eu - All rights reserved
 * You are not allowed to use, distribute or modify this code
 */

package eu.univento.commons.player.rank;

import lombok.Getter;

/**
 * @author joethei
 * @version 1.0
 */

@Getter
public enum Group {

    None("", "", "", ""),
    Developer("§3", "§8[§3Dev§8] §3", " §8»§7 ", "§3Dev | "),
    Moderator("§c", "§8[§cMod§8] §3", "§8»§7", "§cMod | "),
    Supporter("§9", "§8[§9Sup§8] §9", " §8»§7 ", "§9Sup | "),
    Builder("§2", "§8[§2Builder§8] §2", " §8»§7 ", "§2Builder | "),
    Design("§e", "§8[§eDesign§8] §e", " §8»§7 ", "§eDesign | ");

    private final String color;
    private final String prefix;
    private final String suffix;
    private final String tab;

    Group(String color, String prefix, String suffix, String tab) {
        this.color = color;
        this.prefix = prefix;
        this.suffix = suffix;
        this.tab = tab;
    }
}